<template>
  <header class="NavBar">
    <Link :title="t('home.view')" class="NavBar__Brand" to="/">
      <img src="../../../public/img/europ3d.jpg" alt="Europ3D" class="CompanyLogo"/>
    </Link>

    <Link :title="t('home.view')" class="NavBar__Brand" to="/">
      <img src="../../../public/img/app_logo2.png" alt="Machine Planner" class="AppLogo" height="100">
    </Link>
  </header>
</template>

<script lang="ts">
import { Icons } from '@/Icons'
import { Link } from '@/components'
import { defineComponent, inject } from 'vue'
import { Entry as StateEntry, Now } from '@/states'
import { Entry as EntryHelper } from '@/helpers'

export default defineComponent({
  name: 'NavBar',
  components: { Link },

  setup() {
    return {
      StateEntry,
      humanizeDate: EntryHelper.humanizeDate,
      Now,
      Icons,
      t: inject('t', (str: unknown) => str),
    }
  },
})
</script>

<style lang="scss" scoped>
@use '../../style/variables' as v;

.AppLogo {
  position: absolute;
  top: 0;
  right: 50%;
  transform: translateX(50%);
}

.CompanyLogo {
  position: absolute;
  top: 50%;
  left: 20px;
  width: 180px;
  border-radius: 3px;
  transform: translateY(-50%);
}

.NavBar {
  position: relative;
  z-index: 9999;
  display: inline-flex;
  justify-content: center;
  height: 100px;
  padding: v.$spacing;
  background: #002f59;
  color: white;

  &__Brand {
    color: white;

    &Icon {
      font-size: 150%;
    }
  }

  &__SettingsLink {
    color: var(--text-color);
  }

  &__Current {
    display: inline-flex;
    flex: 1 1;
    align-items: center;
    justify-content: flex-start;
    padding: 0 v.$spacing;

    &Content {
      flex: 1 1;
    }

    &--none {
      font-style: italic;
      opacity: 80%;
    }
  }

  &__Controls {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  &__NewEntry {
    margin: 0 5px;
  }
}
</style>
